<?php
/**
 * Luxury Travel : Block Patterns
 *
 * @package Luxury Travel 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'luxury-travel',
		array( 'label' => __( 'Luxury Travel ', 'luxury-travel' ) )
	);
}
/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'luxury-travel/banner-section',
		array(
			'title'      => __( 'Banner Section', 'luxury-travel' ),
			'categories' => array( 'luxury-travel' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":2107,\"dimRatio\":0,\"align\":\"full\",\"className\":\"main-banner-section\"} -->\n<div class=\"wp-block-cover alignfull main-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-2107\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-md-5 mx-2\"} -->\n<div class=\"wp-block-columns alignwide mx-md-5 mx-2\"><!-- wp:column {\"className\":\"mx-md-5 mx-3\"} -->\n<div class=\"wp-block-column mx-md-5 mx-3\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:40px;text-transform:uppercase\">LOREM IPSUM DOLOR SIT AMET</h1>\n<!-- /wp:heading -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"0px\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-white-color has-text-color\" style=\"border-radius:0px\">FIND OUT MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'luxury-travel/deals-and-discount-section',
		array(
			'title'      => __( 'Deals And Discount Section', 'luxury-travel' ),
			'categories' => array( 'luxury-travel' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"main-product-section pt-md-4\"} -->\n<div class=\"wp-block-group alignwide main-product-section pt-md-4\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"color\":{\"text\":\"#00739d\"},\"typography\":{\"fontSize\":\"28px\"}}} -->\n<h2 class=\"has-text-align-center has-text-color\" style=\"color:#00739d;font-size:28px\">DEALS AND DISCOUNTS</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-md-5 mx-3 product-section\"} -->\n<div class=\"wp-block-columns alignwide mx-md-5 mx-3 product-section\"><!-- wp:column {\"className\":\"mx-md-5 mx-3\"} -->\n<div class=\"wp-block-column mx-md-5 mx-3\"><!-- wp:woocommerce/product-category {\"columns\":4,\"rows\":1,\"categories\":[15],\"contentVisibility\":{\"image\":true,\"title\":true,\"price\":true,\"rating\":true,\"button\":false}} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);

	register_block_pattern(
		'luxury-travel/about-section',
		array(
			'title'      => __( 'About Secton', 'luxury-travel' ),
			'categories' => array( 'luxury-travel' ),
			'content'    => "<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#dddddd\"}},\"className\":\"deals-discount-section mt-4\"} -->\n<div class=\"wp-block-group alignfull deals-discount-section mt-4 has-background\" style=\"background-color:#dddddd\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-md-5 mx-3 deals-main-column py-md-5  py-3\"} -->\n<div class=\"wp-block-columns alignwide mx-md-5 mx-3 deals-main-column py-md-5  py-3\"><!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#00739d\"}}} -->\n<h3 class=\"has-text-align-left has-text-color\" style=\"color:#00739d;font-size:30px;text-transform:uppercase\">lorem ipsum dolor</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#333333\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#333333;font-size:16px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":2121,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service-section.png\" alt=\"\" class=\"wp-image-2121\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}
