<?php
/**
 * The Header for our theme.
 * @package Luxury Travel
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

	<?php if ( function_exists( 'wp_body_open' ) ) {
	    wp_body_open();
	} else {
	    do_action( 'wp_body_open' );
	}?>
	
	<?php if(get_theme_mod('luxury_travel_preloader',false) || get_theme_mod('luxury_travel_preloader_responsive',false)){ ?>
	    <?php if(get_theme_mod( 'luxury_travel_preloader_type','Square') == 'Square'){ ?>
	        <div id="overlayer"></div>
	        <span class="tg-loader">
	        	<span class="tg-loader-inner"></span>
	        </span>
	    <?php }else if(get_theme_mod( 'luxury_travel_preloader_type') == 'Circle') {?>    
	        <div class="preloader text-center">
		        <div class="preloader-container">
		            <span class="animated-preloader"></span>
		        </div>
	        </div>
	    <?php }?>
	<?php }?>
	<header role="banner">
	  	<a class="screen-reader-text skip-link" href="#maincontent"><?php esc_html_e( 'Skip to content', 'luxury-travel' ); ?><span class="screen-reader-text"><?php esc_html_e( 'Skip to content', 'luxury-travel' ); ?></span></a>

	  	<?php get_template_part( 'template-parts/header/navigation' ); ?>
	</header>

	<?php if(get_theme_mod('luxury_travel_post_featured_image') == 'banner' ){
	    if( is_singular() ) {?>
	     	<div id="page-site-header">
		        <div class='page-header'> 
		          	<?php the_title( '<h1>', '</h1>' ); ?>
		        </div>
	      	</div>
	    <?php }
	}?>