<?php
/**
 * Header Navigation File
 *
 * @package Luxury Travel
 */
?>
<?php ?>
  <div class="toggle-menu responsive-menu p-2">
    <button role="tab"><i class="<?php echo esc_html(get_theme_mod('luxury_travel_menu_open_icon','fas fa-bars')); ?> me-2"></i><?php esc_html_e('Menu','luxury-travel'); ?><span class="screen-reader-text"><?php esc_html_e('Menu','luxury-travel'); ?></span></button>
  </div>
<?php ?>
<div id="header">
  <div class="menu-sec <?php if( get_theme_mod( 'luxury_travel_sticky_header') != '') { ?> sticky-header"<?php } else { ?>close-sticky <?php } ?>">
    <div class="container">
      <div class="row">
        <div class="logo col-lg-3 col-md-5 wow bounceInDown py-1 text-center align-self-center">
          <?php if ( has_custom_logo() ) : ?>
            <div class="site-logo"><?php the_custom_logo(); ?></div>
          <?php endif; ?>
          <?php $blog_info = get_bloginfo( 'name' ); ?>
          <?php if ( ! empty( $blog_info ) ) : ?>
            <?php if( get_theme_mod('luxury_travel_show_site_title',true) != ''){ ?>
              <?php if ( is_front_page() && is_home() ) : ?>
                <h1 class="site-title p-0"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
              <?php else : ?>
                <p class="site-title m-0"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
              <?php endif; ?>
            <?php }?>
          <?php endif; ?>
          <?php if( get_theme_mod('luxury_travel_show_tagline',false) != ''){ ?>
            <?php
            $description = get_bloginfo( 'description', 'display' );
            if ( $description || is_customize_preview() ) :
            ?>
              <p class="site-description m-0">
                <?php echo esc_html($description); ?>
              </p>
            <?php endif; ?>
          <?php }?>
        </div>
        <div class="menubox col-lg-7 col-md-3 align-self-center">
          <div id="sidelong-menu" class="nav side-nav mobile-sidenav">
            <nav id="primary-site-navigation" class="nav-menu" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'luxury-travel' ); ?>">
              <?php  
                wp_nav_menu( array( 
                  'theme_location' => 'primary',
                  'container_class' => 'main-menu-navigation clearfix' ,
                  'menu_class' => 'clearfix',
                  'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
                  'fallback_cb' => 'wp_page_menu',
                ) ); 
               ?>
              <a href="javascript:void(0)" class="closebtn responsive-menu"><?php echo esc_html( get_theme_mod('luxury_travel_close_menu_label', __('Close Menu','luxury-travel'))); ?><i class="<?php echo esc_html(get_theme_mod('luxury_travel_menu_close_icon','fas fa-times-circle')); ?> m-3"></i><span class="screen-reader-text"><?php echo esc_html( get_theme_mod('luxury_travel_close_menu_label', __('Close Menu','luxury-travel'))); ?></span></a>
            </nav>
          </div>
        </div>
        <div class="top-contact col-lg-2 col-md-4 my-md-4 p-md-0 p-2 text-center align-self-center">
          <?php if( get_theme_mod( 'luxury_travel_call','' ) != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'luxury_travel_call','' ) ); ?>"><i class="fa fa-phone me-2" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_html_e( 'Call Link', 'luxury-travel' ); ?></span></a>
          <?php } ?>     
          <?php if( get_theme_mod( 'luxury_travel_mail','' ) != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'luxury_travel_mail','' ) ); ?>"><i class="fa fa-envelope" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_html_e( 'Email Link', 'luxury-travel' ); ?></span></a>
          <?php } ?>
        </div>
      </div>
    </div>
  </div>
</div>